const UpdaterConfig = require("../model/UpdaterConfig");
const UpdaterConfigCx = require("../model/UpdaterConfigCx");

class UpdaterConfigs {
  getModelByParams(params) {
    return (params.CDCAIXA || params.P_CDCAIXA) ? UpdaterConfigCx : UpdaterConfig;
  }

  insert(params, executionParams = {}) {
    const model = this.getModelByParams(params);
    return model.insert(params, executionParams);
  }

  update(params, executionParams = {}) {
    const model = this.getModelByParams(params);
    return model.update(params, executionParams);
  }

  getConfigIni(params) {
    const model = this.getModelByParams(params);
    return model.getConfigIni(params);
  }
}

module.exports = new UpdaterConfigs();