const DB = require('../database/DB');

class Caixa {
  GET_ACTIVE_CASHERS_FROM_UNIT = `
    SELECT
      CDCAIXA,
      NMCAIXA,
      CDFILIAL,
      CDCAIXA || ' - ' || NMCAIXA AS CAIXA
    FROM
      CAIXA
    WHERE
      CDFILIAL = :CDFILIAL
      AND IDATIVO = 'S'
    ORDER BY
      CDFILIAL
  `;

  getActiveCashersFromUnit(params) {
    return DB.fetch(this.GET_ACTIVE_CASHERS_FROM_UNIT, params);
  }
}

module.exports = new Caixa();