const UpdaterHistorico = require('../model/UpdaterHistorico');
const UpdaterHistoricoCx = require('../model/UpdaterHistoricoCx');

class UpdaterHistory {
  getModelByParams(params) {
    return params.CDCAIXA || params.P_CDCAIXA ? UpdaterHistoricoCx : UpdaterHistorico;
  }

  insert(params, executionParams = {}) {
    const model = this.getModelByParams(params);
    return model.insert(params, executionParams);
  }

  delete(params, executionParams = {}) {
    const model = this.getModelByParams(params);
    return model.delete(params, executionParams);
  }

  getEventHistory(params) {
    const model = this.getModelByParams(params);
    return model.getEventHistory(params);
  }

  getProductHistory(params) {
    const model = this.getModelByParams(params);
    return model.getProductHistory(params);
  }
}

module.exports = new UpdaterHistory();